Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519588 - [abrt] python3-tracer: packages_newer_than(): rpm.py:73:packages_newer_than:TypeError: argument 1 must be str, not None
Summary: [abrt] python3-tracer: packages_newer_than(): rpm.py:73:packages_newer_than:T...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tracer
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Kadlčík
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:50d74e61b83e33bc7c71645fae2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 00:36 UTC by Brian Morrison
Modified: 2018-11-30 18:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:32:45 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-12-01 00:36 UTC, Brian Morrison
no flags Details
File: cgroup (deleted)
2017-12-01 00:36 UTC, Brian Morrison
no flags Details
File: cpuinfo (deleted)
2017-12-01 00:37 UTC, Brian Morrison
no flags Details
File: environ (deleted)
2017-12-01 00:37 UTC, Brian Morrison
no flags Details
File: mountinfo (deleted)
2017-12-01 00:37 UTC, Brian Morrison
no flags Details
File: namespaces (deleted)
2017-12-01 00:37 UTC, Brian Morrison
no flags Details
File: open_fds (deleted)
2017-12-01 00:37 UTC, Brian Morrison
no flags Details

Description Brian Morrison 2017-12-01 00:36:51 UTC
Version-Release number of selected component:
python3-tracer-0.6.13.1-2.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /bin/tracer -iat 1511778608.307714
crash_function: packages_newer_than
exception_type: TypeError
executable:     /bin/tracer
kernel:         4.13.15-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
rpm.py:73:packages_newer_than:TypeError: argument 1 must be str, not None

Traceback (most recent call last):
  File "/bin/tracer", line 34, in <module>
    tracer.main.run()
  File "/usr/lib/python3.6/site-packages/tracer/main.py", line 45, in run
    return router.dispatch()
  File "/usr/lib/python3.6/site-packages/tracer/resources/router.py", line 52, in dispatch
    controller = DefaultController(self.args, self.packages)
  File "/usr/lib/python3.6/site-packages/tracer/controllers/default.py", line 62, in __init__
    self.applications = self.tracer.trace_affected(self._user(args.user))
  File "/usr/lib/python3.6/site-packages/tracer/resources/tracer.py", line 94, in trace_affected
    packages = self._modified_packages()
  File "/usr/lib/python3.6/site-packages/tracer/resources/tracer.py", line 83, in _modified_packages
    packages = self._PACKAGE_MANAGER.packages_newer_than(timestamp)
  File "/usr/lib/python3.6/site-packages/tracer/resources/PackageManager.py", line 50, in packages_newer_than
    packages_lists = [p.packages_newer_than(unix_time) for p in self.package_managers]
  File "/usr/lib/python3.6/site-packages/tracer/resources/PackageManager.py", line 50, in <listcomp>
    packages_lists = [p.packages_newer_than(unix_time) for p in self.package_managers]
  File "/usr/lib/python3.6/site-packages/tracer/packageManagers/rpm.py", line 73, in packages_newer_than
    conn = sqlite3.connect(sqlite)
TypeError: argument 1 must be str, not None

Local variables in innermost frame:
sqlite: None
packages: []
sql: '\n\t\t\t\tSELECT DISTINCT pkgtups.name, trans_end.timestamp AS end\n\n\t\t\t\tFROM trans_beg JOIN trans_end JOIN trans_data_pkgs JOIN pkgtups\n\t\t\t\tON trans_beg.tid=trans_end.tid\n\t\t\t\tAND trans_data_pkgs.tid=trans_beg.tid\n\t\t\t\tAND trans_data_pkgs.pkgtupid=pkgtups.pkgtupid\n\n\t\t\t\tWHERE  trans_beg.timestamp > ?\n\t\t\t\tORDER BY pkgtups.name\n\t\t\t'
unix_time: '1511778608.307714'
self: <tracer.packageManagers.yum.Yum object at 0x7f341bd14f60>

Comment 1 Brian Morrison 2017-12-01 00:36:57 UTC
Created attachment 1361370 [details]
File: backtrace

Comment 2 Brian Morrison 2017-12-01 00:36:59 UTC
Created attachment 1361371 [details]
File: cgroup

Comment 3 Brian Morrison 2017-12-01 00:37:00 UTC
Created attachment 1361372 [details]
File: cpuinfo

Comment 4 Brian Morrison 2017-12-01 00:37:01 UTC
Created attachment 1361373 [details]
File: environ

Comment 5 Brian Morrison 2017-12-01 00:37:03 UTC
Created attachment 1361374 [details]
File: mountinfo

Comment 6 Brian Morrison 2017-12-01 00:37:05 UTC
Created attachment 1361375 [details]
File: namespaces

Comment 7 Brian Morrison 2017-12-01 00:37:06 UTC
Created attachment 1361376 [details]
File: open_fds

Comment 8 Ben Cotton 2018-11-27 17:58:32 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2018-11-30 18:32:45 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.